## INTRODUCTION

The entity_reference_hierarchy_book_nav module is provides a easy way to setup books.

This module comes with two blocks and two content types.

Content types:

1. Book: A content type for the books you'd like to create.  It can be customized how even you'd like, but it must have it's "field_book_structure" field.
1. Book chapter: A content type for adding unlinked pages into the book.

Blocks:

1. Book Contents Block: Provides a table of content block when the current page is in a book.
1. Book Navigation: Provides the Next/Previous sections links when the current page is in a book.

## REQUIREMENTS

The entity reference hierarchy module

## INSTALLATION

1. Install as you would normally install a contributed Drupal module. See: https://www.drupal.org/node/895232 for further information.
1. Modify the field_book_structure field on the Book content type to allow referencing of the content types you'd like to be in the book.
1. Add the Book Contents Block and Book navigation blocks to your block layout.

## USAGE

1. Create a "Book" content type, add and order other pages in the Book structure field.
2. Visit any of pages that are part of the book.

## MAINTAINERS

Current maintainers for Drupal 10:

- David Pascoe-Deslauriers <dpascoed@coldfrontlabs.ca> (spotzero) - https://www.drupal.org/u/spotzero
